|  | Home · All Classes · Modules

# QObjectCleanupHandler Class Reference
[QtCore module]

The QObjectCleanupHandler class watches the lifetime of multiple QObjects. More...

Inherits QObject.

### Methods

- __init__ (self)
- QObject add (self, QObject)
- clear (self)
- bool isEmpty (self)
- remove (self, QObject)

## Detailed Description

The QObjectCleanupHandler class watches the lifetime of multiple QObjects.

A QObjectCleanupHandler is useful whenever you need to know when a number of QObjects that are owned by someone else have been deleted. This is important, for example, when referencing memory in an application that has been allocated in a shared library.

To keep track of some QObjects, create a QObjectCleanupHandler, and add() the objects you are interested in. If you are no longer interested in tracking a particular object, use remove() to remove it from the cleanup handler. If an object being tracked by the cleanup handler gets deleted by someone else it will automatically be removed from the cleanup handler. You can delete all the objects in the cleanup handler with clear(), or by destroying the cleanup handler. isEmpty() returns true if the QObjectCleanupHandler has no objects to keep track of.

See also QPointer.

## Method Documentation

### QObjectCleanupHandler.__init__ (self)

Constructs an empty QObjectCleanupHandler.

### QObject QObjectCleanupHandler.add (self, QObject)

Adds object to this cleanup handler and returns the pointer to the object.

See also remove().

### QObjectCleanupHandler.clear (self)

Deletes all objects in this cleanup handler. The cleanup handler becomes empty.

See also isEmpty().

### bool QObjectCleanupHandler.isEmpty (self)

Returns true if this cleanup handler is empty or if all objects in this cleanup handler have been destroyed; otherwise return false.

See also add(), remove(), and clear().

### QObjectCleanupHandler.remove (self, QObject)

Removes the object from this cleanup handler. The object will not be destroyed.

See also add().